import requests

session = requests.Session()


def get_render_task():
    """
    通过接口获取任务
    :return: 任务列表
    """
    tasks = []
    tasks.append({
        'user_videos': {
            'CAM_ID': 'paper-planes.mp4'
        }
    })
    return tasks


def get_template_info(template_id):
    """
    通过接口获取模板信息
    :rtype: Template
    :param template_id: 模板id
    :type template_id: str
    :return: 模板信息
    """
    template = {
        'id': template_id,
        'name': '模板名称',
        'description': '模板描述',
        'video_size': '1920x1080',
        'frame_rate': 30,
        'overall_duration': 30,
        'video_parts': [
            {
                'source': './template/test_template/1.mp4',
                'mute': True,
            },
            {
                'source': 'PLACEHOLDER_CAM_ID',
                'mute': True,
                'overlays': [
                    './template/test_template/2.mov'
                ],
                'luts': [
                    './template/test_template/cube.cube'
                ]
            },
            {
                'source': './template/test_template/3.mp4',
                'mute': True,
            }
        ],
        'overall_template': {
            'source': None,
            'mute': False,
            'audios': [
                './template/test_template/bgm.acc'
            ]
        },
    }
    return template